LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
lldb::SBInputReader Class Reference

`#include <SBDebugger.h>`

## Public Member Functions
| SBInputReader ()=default
| ~SBInputReader ()=default
SBError | Initialize (lldb::SBDebugger &, unsigned long(*)(void *, lldb::SBInputReader *, lldb::InputReaderAction, char const *, unsigned long), void *, lldb::InputReaderGranularity, char const *, char const *, bool)
void | SetIsDone (bool)
bool | IsActive () const

## Detailed Description

Definition at line 20 of file SBDebugger.h.

## Constructor & Destructor Documentation

lldb::SBInputReader::SBInputReader | ( |  | ) |
| default

lldb::SBInputReader::~SBInputReader | ( |  | ) |
| default

## Member Function Documentation

SBError lldb::SBInputReader::Initialize | ( | lldb::SBDebugger & | ,
|  | unsigned | long*)(void *, lldb::SBInputReader *, lldb::InputReaderAction, char const *, unsigned long,
|  | void * | ,
|  | lldb::InputReaderGranularity | ,
|  | char const * | ,
|  | char const * | ,
|  | bool |
| ) |  |

bool lldb::SBInputReader::IsActive | ( |  | ) | const

void lldb::SBInputReader::SetIsDone | ( | bool |  | ) |

The documentation for this class was generated from the following file:

- SBDebugger.h